<main>
    <mat-card *ngIf="transaction$ | async as transaction">
        <mat-card-title *ngIf="transaction.id">
            Transaction n°{{ transaction.id }}
        </mat-card-title>

        <mat-card-content *ngIf="transaction.senderWalletId"><strong>Expéditeur :</strong> {{ transaction.senderWalletId
            }}</mat-card-content>
        <mat-card-content *ngIf="transaction.receiverWalletId"><strong>Destinataire :</strong> {{
            transaction.receiverWalletId }}</mat-card-content>
        <mat-card-content><strong>Date :</strong> {{ transaction.creationDate }}</mat-card-content>
        <mat-card-content *ngIf="transaction.amount"><strong>Montant :</strong> {{ transaction.amount }}
        </mat-card-content>
        <mat-card-content *ngIf="transaction.comment"><strong>Commentaire :</strong> {{
            transaction.comment }}</mat-card-content>
    </mat-card>
</main>